def solve(h, w):
 
    f = [0] * (w + 1)

    for i in range(1, h + 1):
        for j in range(1, w + 1):
            f[j] = max(f[j], f[j - 1] + i)

   
    return f[w]

h, w = map(int, input().split())

print(solve(h, w))
